
/*  @(#)mptool.h 1.9 95/02/06
 *
 *  Definitions for mptool; a graphical front-end to mp.
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <Xm/Xm.h>

enum frame_type { F_HDRS,   F_INPUT, F_MAIN, F_OUTPUT, F_PRINT, F_USER } ;
enum icon_type  { I_NORMAL, I_PRINTING } ;

#include "base.h"
#include "header.h"
#include "help.h"
#include "input.h"
#include "option.h"
#include "output.h"
#include "print.h"
#include "text.h"
#include "user.h"
#include "util.h"
#include "xutil.h"
#include "widgetindex.h"

#define  MKTEMP             (void) mktemp

#define  BUFFERSIZE         10000  /* Buffer for constructing mp command. */
#define  MAXCHARS           100    /* Maximum number of chars in user name. */
#define  MAXCOLUMNS         10     /* Maximum number of columns per page. */
#define  MAXCOPIES          500    /* Maximum number of copies of each file. */
#define  MAXICONCOLORS      8      /* Maximum colors in mptool icon. */
#define  MAXLINELENGTH      1000   /* Maximum number of characters per line. */
#define  MAXPAGELENGTH      500    /* Maximum number of lines per page. */
#define  MAXSTDHDRS         12     /* Maximum number of standard headers. */
#define  MAXTABSIZE         50     /* Maximum number of spaces in tab char. */
#define  MAXWORDS           10     /* Maximum number of words in user name. */
#define  TITLE_LINE_HEIGHT  25

extern Widget get_widget  (enum frame_type, int) ;
extern void do_print_cmd  (char *) ;
